#!/bin/sh
#
# Shell script to run under the best available awk interpreter, and avoid
# problems of invoking old awk, if possible.
#
case `type gawk` in *gawk ) awkntrp='gawk';;
                        * ) case `type nawk` in *nawk ) awkntrp='nawk';;
                                                    * ) awkntrp='awk';;
                            esac;;
esac
case ${HTMLCHEK:-"/"} in */ )
    if test -s ${HTMLCHEK}dehtml.awk
    then
        for px
        do
        case $px
        in -?* ) echo "You are passing flags to the $awkntrp interpreter in argument $px"
                 echo "(This may not be what you intended)";;
            * ) ;;
        esac
        done
        echo "Stripping mark-up from file(s) now... (using $awkntrp)"
        $awkntrp -f ${HTMLCHEK}dehtml.awk $@
    else
        echo "dehtml.awk is not found.  Either copy it to the current directory, or
set the environment variable HTMLCHEK to the pathname where it is located
(this should terminate with a \`/' character).  Do \`setenv HTMLCHEK /somedir/'
in csh and tcsh, \`HTMLCHEK=/somedir/;export HTMLCHEK' in sh and its offspring."
        exit 1
    fi;;
* ) echo "Environment variable HTMLCHEK does not end in \`/'"
    exit 1;;
esac
exit 0
